package domain


type AlibabaRetailMarketingBuygiftActivitySkuAddOctopusOpenResult struct {
    /*
        部分商品添加失败时会有错误信息，正常情况下无数据     */
    Data  *string `json:"data,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误描述     */
    ErrorMessage  *string `json:"error_message,omitempty" `

    /*
        错误编码     */
    ErrorCode  *string `json:"error_code,omitempty" `

    /*
        部分失败的商品编码列表     */
    FailedSkuCodes  *[]string `json:"failed_sku_codes,omitempty" `

}

func (s *AlibabaRetailMarketingBuygiftActivitySkuAddOctopusOpenResult) SetData(v string) *AlibabaRetailMarketingBuygiftActivitySkuAddOctopusOpenResult {
    s.Data = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuAddOctopusOpenResult) SetSuccess(v bool) *AlibabaRetailMarketingBuygiftActivitySkuAddOctopusOpenResult {
    s.Success = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuAddOctopusOpenResult) SetErrorMessage(v string) *AlibabaRetailMarketingBuygiftActivitySkuAddOctopusOpenResult {
    s.ErrorMessage = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuAddOctopusOpenResult) SetErrorCode(v string) *AlibabaRetailMarketingBuygiftActivitySkuAddOctopusOpenResult {
    s.ErrorCode = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuAddOctopusOpenResult) SetFailedSkuCodes(v []string) *AlibabaRetailMarketingBuygiftActivitySkuAddOctopusOpenResult {
    s.FailedSkuCodes = &v
    return s
}
